#! perl -w
#  Staff.pm: 
package Staff; 
require Exporter; 
@ISA = qw (Exporter);
@EXPORT = qw (new showdata setdata); 
sub new 
{
  my ($class, @items) = shift;
  my $self = {};
  bless $self, $class;
  return $self;
}

sub showdata 
{
  my $self = shift;
  my @keys = @_ ? @_ : sort keys %$self;
  foreach $key (@keys) 
  {
    print "\t$key => $self->{$key}\n";
  }
  return $self; 
} 

sub setdata 
{
  my ($self, $data) = @_;
  for $i (keys %$data) 
  {
    $self->{$i}=$data->{$i};
  }
  return $self;
}
